Update AccountPlan - m3ter Documentation
Update AccountPlan
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/accountplans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"version": 123,
"customFields": {},
"planId": "<string>",
"planGroupId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"code": "<string>",
"billEpoch": "2023-12-25",
"contractId": "<string>"
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/accountplans/{id}"
payload = {
"accountId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"version": 123,
"customFields": {},
"planId": "<string>",
"planGroupId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"code": "<string>",
"billEpoch": "2023-12-25",
"contractId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
startDate: '2023-11-07T05:31:56Z',
version: 123,
customFields: {},
planId: '<string>',
planGroupId: '<string>',
endDate: '2023-11-07T05:31:56Z',
code: '<string>',
billEpoch: '2023-12-25',
contractId: '<string>'
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/accountplans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/accountplans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '<string>',
'startDate' => '2023-11-07T05:31:56Z',
'version' => 123,
'customFields' => [],
'planId' => '<string>',
'planGroupId' => '<string>',
'endDate' => '2023-11-07T05:31:56Z',
'code' => '<string>',
'billEpoch' => '2023-12-25',
'contractId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/accountplans/{id}"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"version\": 123,\n \"customFields\": {},\n \"planId\": \"<string>\",\n \"planGroupId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"code\": \"<string>\",\n \"billEpoch\": \"2023-12-25\",\n \"contractId\": \"<string>\"}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.put("https://api.m3ter.com/organizations/{orgId}/accountplans/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"version\": 123,\n \"customFields\": {},\n \"planId\": \"<string>\",\n \"planGroupId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"code\": \"<string>\",\n \"billEpoch\": \"2023-12-25\",\n \"contractId\": \"<string>\"}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/accountplans/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"version\": 123,\n \"customFields\": {},\n \"planId\": \"<string>\",\n \"planGroupId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"code\": \"<string>\",\n \"billEpoch\": \"2023-12-25\",\n \"contractId\": \"<string>\"}"
response = http.request(request)
puts response.read_body
Response Status Codes
- 200: Successful Update
- 4XX: Client Errors
- 5XX: Server Errors
Response (Success)
{
"id": "<string>",
"version": 123,
"customFields": {},
"accountId": "<string>",
"productId": "<string>",
"planId": "<string>",
"planGroupId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"code": "<string>",
"billEpoch": "2023-12-25",
"contractId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Response (Error)
{
"message": "<string>"
}
Authorization Required
- m3ter uses machine-to-machine authentication and
clientCredentials OAuth2 flow.